name: Apache Airflow
services:
  NodeGroupInventoryWallet:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - airflow
    traits:
      meshmap:
        edges: []
        id: a22cb5c4-6bff-4f2a-bba3-d01ed435d751
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            background-opacity: 0.1
            border-style: dashed
            border-width: 0
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 4
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: 44723c33-d69d-436b-81ca-7640d31b2661
        position:
          posX: 50
          posY: -10
        whiteboardData: {}
  airflow:
    name: airflow
    type: Deployment
    apiVersion: apps/v1
    namespace: default
    model: kubernetes
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            app: airflow
        template:
          metadata:
            labels:
              app: airflow
          spec:
            containers:
            - env:
              - name: AIRFLOW__CORE__EXECUTOR
                value: KubernetesExecutor
              - name: AIRFLOW__CORE__SQL_ALCHEMY_CONN
                value: postgresql+psycopg2://<DB_USERNAME>:<DB_PASSWORD>@<DB_HOST>:<DB_PORT>/<DB_NAME>
              image: apache/airflow:latest
              name: airflow
              ports:
              - container Port: 8080
    traits:
      meshmap:
        edges:
        - data:
            id: 0930d361-3249-44cd-a4eb-cdc006177aaa
            metadata:
              port: 80
              protocol: TCP
            source: 0dd98402-5736-45fa-84d0-72d810cc852a
            subType: Network
            target: 44723c33-d69d-436b-81ca-7640d31b2661
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: 44723c33-d69d-436b-81ca-7640d31b2661
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          shapePolygonPoints: ""
          styleOverrides: '{"border-width":2,"background-opacity":0.5}'
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/deployment-white.svg
        position:
          posX: 50
          posY: -10
        whiteboardData:
          style: {}
  airflow-service:
    name: airflow-service
    type: Service
    apiVersion: v1
    namespace: default
    model: kubernetes
    settings:
      spec:
        ports:
        - port: 80
          protocol: TCP
          target Port: 8080
        selector:
          app: airflow
    traits:
      meshmap:
        edges:
        - data:
            id: 0930d361-3249-44cd-a4eb-cdc006177aaa
            metadata:
              port: 80
              protocol: TCP
            source: 0dd98402-5736-45fa-84d0-72d810cc852a
            subType: Network
            target: 44723c33-d69d-436b-81ca-7640d31b2661
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: 0dd98402-5736-45fa-84d0-72d810cc852a
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          shapePolygonPoints: ""
          styleOverrides:
            background-position-y: 4.5
            height: 20
            padding: 12
            width: 20
            x: 10px
            "y": 12px
            z-index: 3
          styles: '{"height":20,"width":20,"padding":12,"background-position-y":4.5,"x":"10px","y":"12px"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/service-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/service-white.svg
        position:
          posX: 30
          posY: 70
        whiteboardData:
          style: {}
